VARKON Version 1.15 1997-12-29

> ## cur_sil - Geometric procedure

> Creates a curve
> Description
> Input data for the silhouette curve calculation is a surface and an eye point (at a finite distance from the surface) or a viewing direction (eye point at an infinite distance).
> Syntax
> cur_sil(id, ref, eye, type, branch:attributes);

> REF | id;
> REF | ref;
> VECTOR | eye;
> INT | type;
> INT | branch;

> Principal parameters

> id | - Local identity
> ref | - Surface
> eye | - Eye point or viewing direction
> type | - Type of silhouette curve
> | Eq. 1: Perspective with eye point (at a finite distance)
> | Eq. 2: Eye point at an infinite distance
> | Eq. 3: Special (infinite distance) silhouette for a surface of type LFT_SUR
> branch | - Requested branch of the silhouette curve
> | (If 1000 is added will the graphical representation be the UV curve)

> Optional parameters

> None |

> Attributes

> PEN | - Pen or colour number
> LEVEL | - Level number
> BLANK | - Visible (0) or invisible (1)
> CFONT | - Solid (0), dashed (1), center line (2)
> CDASHL | - Dash length
> WIDTH | - Linewidth

> Example
> cur_sil( #3, #2, "U", vec(0.0, 1.3, 1.1), 2, 1);
> Creates a silhouette curve #3 on surface #2. Eye point is at infinite distance and the viewing direction is vec(0.0, 1.3, 1.1). The first curve branch is requested.

VARKON Homepage | Index